#
# spec file for package clipped
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           clipped
Version:        1.0.3
Release:        1.1
Summary:        Clipboard Manager
License:        GPL-2.0-only
Group:          System/GUI/Other
URL:            https://github.com/davidmhewitt/clipped
Source:         https://github.com/davidmhewitt/clipped/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  vala >= 0.28.0
BuildRequires:  pkgconfig(gdk-x11-3.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xtst)
Recommends:     %{name}-lang

%description
Clipboard history manager for Elementary OS.

%lang_package

%prep
%setup -q

%build
%cmake \
    -DGSETTINGS_COMPILE=OFF
make %{?_smp_mflags}

%install
%cmake_install
%suse_update_desktop_file -r com.github.davidmhewitt.clipped Utility DesktopUtility
%find_lang com.github.davidmhewitt.clipped %{name}.lang
%fdupes %{buildroot}%{_datadir}

%if 0%{?suse_version} < 1500
%post
%icon_theme_cache_post
%desktop_database_post
%glib2_gsettings_schema_post

%postun
%icon_theme_cache_postun
%desktop_database_postun
%glib2_gsettings_schema_postun
%endif

%files
%doc AUTHORS README*
%{_bindir}/com.github.davidmhewitt.clipped
%{_datadir}/applications/com.github.davidmhewitt.clipped.desktop
%{_datadir}/glib-2.0/schemas/com.github.davidmhewitt.clipped.gschema.xml
%{_datadir}/icons/hicolor/*/apps/com.github.davidmhewitt.clipped.??g
%dir %{_datadir}/metainfo
%{_datadir}/metainfo/com.github.davidmhewitt.clipped.appdata.xml

%files lang -f %{name}.lang

%changelog
* Mon Sep 17 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.0.3:
  * debian folder moved out to orphan branches
  * Update Lithuanian language (#22)
  * Fix style priority
  * Update search entry CSS selectors
- Spec file cleanup
* Tue Dec 19 2017 jengelh@inai.de
- Drop redundant assignment of CFLAGS; %%cmake already does this.
* Sun Nov  5 2017 avvissu@yandex.by
- Initial package
